Bug 1689866 - Import os-ken project to OSP as Neutron's dependency
Summary: Import os-ken project to OSP as Neutron's dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-os-ken
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 15.0 (Stein)
Assignee: Lon Hohberger
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-18 10:22 UTC by Slawek Kaplonski
Modified: 2019-09-26 10:48 UTC (History)
4 users (show)

Fixed In Version: python-os-ken-0.3.1-0.20190312190758.a74bac9.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:20:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:01 UTC

Description Slawek Kaplonski 2019-03-18 10:22:41 UTC
We need os-ken package to be available in OSP-15 as it is Neutron's dependency now.
Os-ken is fork of Ryu, maintained by Openstack Neutron upstream community.

Link to os-ken repository: https://github.com/openstack/os-ken

RDO packaging: https://github.com/rdo-packages/os-ken-distgit

RDO build: https://cbs.centos.org/koji/buildinfo?buildID=25360

Ownership of this package will be vNES squad from Networking DFG.

Default CC list should be the same as DFG:networking Squad:vNES CC list.

Default QE contact should be the same as DFG:networking Squad:vNES QE contact.

Comment 6 Tomer 2019-07-23 12:52:11 UTC
On OSP15 there is the relevant rpm -

[root@controller-0 ~]# podman exec c7eb71c3061e rpm -qa | grep ken
python3-os-ken-0.3.1-0.20190312190758.a74bac9.el8ost.noarch

Comment 9 errata-xmlrpc 2019-09-21 11:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.